Debian Bug report logs - #221807
"vrms and RMS disagree sometimes... AND depends on non-free section presence..."

version graph

Package: vrms; Maintainer for vrms is Debian vrms Maintainers <vrms-devel@lists.alioth.debian.org>; Source for vrms is src:vrms.

Reported by: sacrificial-spam-address@horizon.com

Date: Thu, 20 Nov 2003 06:18:01 UTC

Severity: wishlist

Merged with 297506, 364971

Found in versions 1.7, 1.9, vrms/1.11

Done: bdale@gag.com (Bdale Garbee)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to sacrificial-spam-address@horizon.com:
New Bug report received and forwarded. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sacrificial-spam-address@horizon.com
To: submit@bugs.debian.org
Subject: vrms and RMS disagree sometimes...
Date: 20 Nov 2003 06:04:25 -0000
Package: vrms
Version: 1.7
Severity: minor

Current plans are to move documentation published under the GFDL
to non-free.  Thus, many GNU manuals, including some written by
RMS, will be moved to non-free.

Current vrms behaviour will then be to complain about them, even though
RMS happens to thoroughly approve of them.

Does this remain a good name?

(Okay, this is a stupid bug report.)



Information forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Roy <yeupou@gnu.org>:
Extra info received and forwarded to list. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #10 received at 221807@bugs.debian.org (full text, mbox):

From: Mathieu Roy <yeupou@gnu.org>
To: 221807@bugs.debian.org, control@bugs.debian.org
Subject: "this is a stupid bug report"
Date: Fri, 12 Mar 2004 13:24:34 +0100
severity 221807 normal
retitle 221807 "vrms and RMS disagree sometimes... AND depends on non-free section presence..."
thanks

I took the right to raise the severity of this report since I think it
raises serious issues on vrms future. But I agree it is more important
"wishes" than important "bugs".

I joined the two issues because they could be resolved the same
changes.



Issue 1.- "vrms and RMS disagree sometimes"

This package shows what Debian consider free and non-free. That's why
the name is misleading.

So vrms would be in conflict with RMS just because RMS and Debian does 
not consider that freedom should apply to the same things -- more or
less. 
(In fact, it is more complex than that, since nobody in debian
consider that freedom to modify the official distro logo (not the
simple swirl but the swirl with the bottle) should be given)


Issue 2.- "depends on non-free section presence"

vrms practically depends on non-free software, because it depends on
the presence of the non-free section in Debian. Well, it can run
without proprietary software, but it will no longer do its job it
non-free is moved out Debian. And that could happen -- it should
theoretically. 





A good solution would be to have vrms not assume that software is free
depending on the section but depending on something else.


Solution 1. - 

For instance, vrms can rely on a list of non-free software.

It would allow anybody to use the software with his own definition of
freedom, on a per package review. But it can be really painy to maintain
in the long run.


Solution 2. -

Way better, the currently missing field license in
/var/lib/dpkg/status could be really helpful in that regard.

It would more cleverly associate non-free software with licenses,
instead of section. 

And it could be possible to give a specific list of license, so
people could use, distribute, their own definition of free software. 

It would no longer be "vrms" but "vrms according to DFSG" or "vrms
according to GNU Free Software Definition" etc.


Regards,




-- 
Mathieu Roy

  +---------------------------------------------------------------------+
  | General Homepage:           http://yeupou.coleumes.org/             |
  | Computing Homepage:         http://alberich.coleumes.org/           |
  | Not a native english speaker:                                       |
  |     http://stock.coleumes.org/doc.php?i=/misc-files/flawed-english  |
  +---------------------------------------------------------------------+



Severity set to `normal'. Request was from Mathieu Roy <yeupou@gnu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Mathieu Roy <yeupou@gnu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Rogerio Brito <rbrito@ime.usp.br> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 221807 297506. Request was from Rogerio Brito <rbrito@ime.usp.br> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 221807 297506 364971. Request was from rbrito@ime.usp.br to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian vrms Maintainers <debian-vrms@lists.gag.com>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to Davi Leal <davi@leals.com>:
Extra info received and forwarded to list. Copy sent to Debian vrms Maintainers <debian-vrms@lists.gag.com>. Full text and rfc822 format available.

Message #25 received at 221807@bugs.debian.org (full text, mbox):

From: Davi Leal <davi@leals.com>
To: 221807@bugs.debian.org
Subject: "please take this into consideration"
Date: Wed, 4 Apr 2007 14:24:19 +0200
It is funny that Debian's "vrms" lists emacs21-common-non-dfsg

  "vrms" is the "Virtual RMS" which lists the
   non-free packages installed on your system.

At least if Debian want to keep the "GFDL is not free" principle, Debian 
should either rename vrms, or fix it to abide by Richard's own principles.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian vrms Maintainers <debian-vrms@lists.gag.com>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian vrms Maintainers <debian-vrms@lists.gag.com>. Full text and rfc822 format available.

Message #30 received at 221807@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Davi Leal <davi@leals.com>, 221807@bugs.debian.org, Debian vrms Maintainers <debian-vrms@lists.gag.com>
Subject: Re: [debian-vrms] Bug#221807: "please take this into consideration"
Date: Wed, 04 Apr 2007 08:32:08 -0600
On Wed, 2007-04-04 at 14:24 +0200, Davi Leal wrote:
> It is funny that Debian's "vrms" lists emacs21-common-non-dfsg
> 
>   "vrms" is the "Virtual RMS" which lists the
>    non-free packages installed on your system.
> 
> At least if Debian want to keep the "GFDL is not free" principle, Debian 
> should either rename vrms, or fix it to abide by Richard's own principles.

Or, perhaps, offer a command line switch for choosing which of two rule
sets definining freedom to apply?

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org, Debian vrms Maintainers <debian-vrms@lists.gag.com>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to David Diaz <david@leals.com>:
Extra info received and forwarded to list. Copy sent to Debian vrms Maintainers <debian-vrms@lists.gag.com>. Full text and rfc822 format available.

Message #35 received at 221807@bugs.debian.org (full text, mbox):

From: David Diaz <david@leals.com>
To: 221807@bugs.debian.org, debian-vrms@lists.gag.com, emacs-devel@gnu.org, Bdale Garbee <bdale@gag.com>
Cc: Johan Bockgård <bojohan+news@dd.chalmers.se>
Subject: Re: [debian-vrms] Bug#221807: "please take this into consideration"
Date: Wed, 4 Apr 2007 19:38:07 +0200
> > Stefan Monnier <monnier@iro.umontreal.ca> writes:
> >> I find it funny that Debian's "vrms" lists emacs21-common-non-dfsg
> >> ("vrms" is the "Virtual RMS" which lists the non-free packages installed
> >> on your system).  At least if they want to keep the "GFDL is not free"
> >> principle, they should either rename vrms, or fix it to abide by
> >> Richard's own principles.

Bdale Garbee wrote:
> Or, perhaps, offer a command line switch for choosing which of two rule
> sets definining freedom to apply?

I personally think too if the package name is "Virtual RMS" it should abide 
the RMS principles, just to avoid confusion to the package's users.

Another option could be rename the package to something like "check 
installation freedom" and allow choosing the freedom 'mode'.  However I like 
have a 'virtual' RMS.  Maybe the best option is to fix the vrms to abide the 
RMS principles, and add other virtual-whatever-package if you want. Note the 
comment in the vrms description package:

  "Future versions of vrms will include an option to also display text
   from the public writings of RMS and others that explain why use of
   each of the installed non-free packages might cause moral issues
   for some in the Free Software community."


Bug report at: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=221807

Davi



Information forwarded to debian-bugs-dist@lists.debian.org, Debian vrms Maintainers <debian-vrms@lists.gag.com>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian vrms Maintainers <debian-vrms@lists.gag.com>. Full text and rfc822 format available.

Message #40 received at 221807@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: David Diaz <david@leals.com>
Cc: 221807@bugs.debian.org, debian-vrms@lists.gag.com, emacs-devel@gnu.org, Johan Bockgård <bojohan+news@dd.chalmers.se>
Subject: Re: [debian-vrms] Bug#221807: "please take this into consideration"
Date: Wed, 04 Apr 2007 20:41:46 -0600
On Wed, 2007-04-04 at 19:38 +0200, David Diaz wrote:

> I personally think too if the package name is "Virtual RMS" it should abide 
> the RMS principles, just to avoid confusion to the package's users.

I understand your point.  I guess I just still hold out hope that the
FSF may one day again publish documentation under a license that's
compliant with the DFSG...

> Note the comment in the vrms description package:

;-)  Actually, I wrote that.  Way back when, I'm the one who dreamed up
the package, came up with the name, and wrote the man page.  The
motivation was a conversation a guy who used to work for me (Bill
Geddes) was having with RMS about Debian non-free.  Bill wrote the
original Perl implementation of vrms.  None of that is particularly
important, except to assure you that I'm completely aware that vrms has
never really fulfilled the original vision I/we had for it...

Do you care about this enough to want to help work on vrms?

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org, Debian vrms Maintainers <debian-vrms@lists.gag.com>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to David Diaz <david@leals.com>:
Extra info received and forwarded to list. Copy sent to Debian vrms Maintainers <debian-vrms@lists.gag.com>. Full text and rfc822 format available.

Message #45 received at 221807@bugs.debian.org (full text, mbox):

From: David Diaz <david@leals.com>
To: Bdale Garbee <bdale@gag.com>
Cc: 221807@bugs.debian.org, debian-vrms@lists.gag.com, emacs-devel@gnu.org
Subject: Re: [debian-vrms] Bug#221807: "please take this into consideration"
Date: Thu, 5 Apr 2007 11:56:57 +0200
Bdale Garbee wrote:
> David Diaz wrote:
> > I personally think too if the package name is "Virtual RMS" it should
> > abide the RMS principles, just to avoid confusion to the package's users.
>
> I understand your point.  I guess I just still hold out hope that the
> FSF may one day again publish documentation under a license that's
> compliant with the DFSG...

The facts are that a "Virtual RMS" is a RMS not a DFSG. Please, rename the 
package. Do not confuse the users of your package.


> > Note the comment in the vrms description package:

> I'm completely aware that vrms has never really fulfilled the original
> vision I/we had for it... 

> Do you care about this enough to want to help work on vrms?

I am overloaded with this www.gnuherds.org

Best regards,
Davi



Information forwarded to debian-bugs-dist@lists.debian.org, Debian vrms Maintainers <debian-vrms@lists.gag.com>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to "Benj. Mako Hill" <mako@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian vrms Maintainers <debian-vrms@lists.gag.com>. Full text and rfc822 format available.

Message #50 received at 221807@bugs.debian.org (full text, mbox):

From: "Benj. Mako Hill" <mako@debian.org>
To: David Diaz <david@leals.com>, 221807@bugs.debian.org
Subject: Re: Bug#221807: [debian-vrms] Bug#221807: "please take this into consideration"
Date: Fri, 6 Apr 2007 11:52:25 -0400
[Message part 1 (text/plain, inline)]
<quote who="David Diaz" date="Thu, Apr 05, 2007 at 11:56:57AM +0200">
> Bdale Garbee wrote:
> > David Diaz wrote:
> > > I personally think too if the package name is "Virtual RMS" it
> > > should abide the RMS principles, just to avoid confusion to the
> > > package's users.
> >
> > I understand your point.  I guess I just still hold out hope that
> > the FSF may one day again publish documentation under a license
> > that's compliant with the DFSG...
> 
> The facts are that a "Virtual RMS" is a RMS not a DFSG. Please, rename
> the package. Do not confuse the users of your package.

I don't think the users of VRMS are particularly confused.

Do you have suggestions for a better name?

Regards,
Mako

-- 
Benjamin Mako Hill
mako@debian.org
http://mako.cc/

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian vrms Maintainers <debian-vrms@lists.gag.com>:
Bug#221807; Package vrms. Full text and rfc822 format available.

Acknowledgement sent to David Diaz <david@leals.com>:
Extra info received and forwarded to list. Copy sent to Debian vrms Maintainers <debian-vrms@lists.gag.com>. Full text and rfc822 format available.

Message #55 received at 221807@bugs.debian.org (full text, mbox):

From: David Diaz <david@leals.com>
To: "Benj. Mako Hill" <mako@debian.org>
Cc: 221807@bugs.debian.org, Bdale Garbee <bdale@gag.com>, debian-vrms@lists.gag.com
Subject: Re: Bug#221807: [debian-vrms] Bug#221807: "please take this into consideration"
Date: Fri, 6 Apr 2007 18:46:18 +0200
Benj. Mako Hill wrote:
> David Diaz wrote:
> > Bdale Garbee wrote:
> > > David Diaz wrote:
> > > > I personally think too if the package name is "Virtual RMS" it
> > > > should abide the RMS principles, just to avoid confusion to the
> > > > package's users.
> > >
> > > I understand your point.  I guess I just still hold out hope that
> > > the FSF may one day again publish documentation under a license
> > > that's compliant with the DFSG...
> >
> > The facts are that a "Virtual RMS" is a RMS not a DFSG. Please, rename
> > the package. Do not confuse the users of your package.
>
> I don't think the users of VRMS are particularly confused.

I think the users of VRMS are disappointed by the mismatch between the package 
name and what it does:

  monnier AT iro.umontreal.ca wrote:
  > I find it funny that Debian's "vrms" lists emacs21-common-non-dfsg

Note, 'RMS' is listing some of its own software as non free.


> Do you have suggestions for a better name?

Well, I am not sure:
  dfsg-tools ?
  dfsg-checker ?
  check-dfsg ?
  ...
or any other word which fits with what the package does.


As Debian user for more than seven year,
very best regards and thanks for your work,

Davi
--
www.gnuherds.org



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 May 2008 07:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:01:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.